/* ========================================
				IMPORTS
======================================== */
@import "../../../node_modules/scss-reset/src/scss/_reset";

@import "base/_typography.scss";
@import "utils/_variables";

@import "utils/_mixins";

@import "base/_globals";

#hero {
	background-color: black;
	min-height: 100vh;
	color: white;

	display: flex;

	flex-direction: column;

	img {
		height: 20vh;
	}

	article {
		padding-block: 15vh;
		text-align: center;

		h1 {
			@include font-init(Lora, 8.8rem, 600);
			line-height: 70px;

			span {
				color: black;
				text-shadow: 1px 0 #fff, -1px 0 #fff, 0 1px #fff, 0 -1px #fff, 1px 1px #fff, -1px -1px #fff, 1px -1px #fff, -1px 1px #fff;
			}
		}

		p {
			@include font-init(Work-Sans, 1.6rem, 600);
			padding: 3rem;
		}
	}

	section {
		margin-inline: 12rem;
		display: flex;
		justify-content: space-between;
		align-items: center;

		img {
			width: 10rem;
		}
	}
}

.button {
	border: 2px solid white;
	padding: 2rem 4rem;
	@include font-init(Work-Sans, 2rem, 600);
	text-decoration: inherit;
	color: inherit;

	display: inline-block;

	margin-block: 4rem;
}

#info {
	position: relative;
	background-color: black;
	color: white;

	article {
		padding: 4rem;
		width: 75%;
		position: relative;

		h2 {
			@include font-init($font-family: Lora, $font-size: 8.8rem, $font-weight: 600);
			line-height: 112px;
			padding-block: 4rem;
		}

		div {
			padding-block: 4rem;
			display: flex;
			flex-direction: column;
			gap: 5rem;
			justify-content: space-around;
			min-height: 50rem;

			figure {
				figcaption {
					@include font-init($font-family: Work-Sans, $font-size: 1.6rem, $font-weight: 600)
				}

				p {
					@include font-init($font-family: Lora, $font-size: 6.4rem, $font-weight: 600)
				}
			}
		}
	}

	img {
		position: absolute;
		right: 0;
		bottom: 5%;
		width: 40%;
	}
}

#stuck-in-the-middle {
	position: relative;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: space-around;

	padding-inline: 30%;
	padding-block: 15vh;

	article {
		h2 {
			line-height: 70px;
			@include font-init(Lora, 8.8rem, 600)
		}
	}

	p {
		margin-block: 2rem;
		line-height: 32px;
		@include font-init(Work-Sans, 1.6rem, 600);


	}

	> p {
		padding-block: 40rem;
	}

	img {
		position: absolute;
		width: 20%;
		z-index: 2;
	}

	img[src="assets/images/action1.jpeg"] {
		top: -5%;
		right: 20%;
	}

	img[src="assets/images/action2.jpeg"] {
		top: 20%;
		left: 5%;
	}

	img[src="assets/images/action3.jpeg"] {
		top: 30%;
		right: 5%;
	}

	img[src="assets/images/action4.jpeg"] {
		top: 40%;
		left: 20%;
	}

	img[src="assets/images/action5.jpeg"] {
		top: 45%;
		left: 55%;
	}

	img[src="assets/images/action6.jpeg"] {
		bottom: 20%;
		left: 0;
	}

	img[src="assets/images/action7.jpeg"] {
		bottom: -3%;
		left: 60%;
	}
}

#the-golden-bear {
	position: relative;
	background-color: black;
	color: white;

	padding: 20rem 7rem 60rem 7rem;
	div {
		display: flex;
		gap: 0 10%;
		position: relative;
		z-index: 2;

		article {
			h2 {
				@include font-init(Lora, 8.8rem, 600);
				line-height: 70px;
			}

			h3 {
				padding-block: 2rem;
				@include font-init(Work-Sans, 1.6rem, 600)
			}
		}

		figure {
			p {
				@include font-init(Lora, 3.2rem, 600)
			}

			figcaption {
				padding-block: 2rem;
				@include font-init(Work-Sans, 1.6rem, 600)
			}
		}
	}

	img[alt="goldenbear"] {
		position: absolute;
		width: 60%;
		bottom: -3%;
		left: 20%;
		max-width: 550px;
	}

	img[alt="goldenbear2"] {
		z-index: 5;
		width: 40%;
		position: absolute;
		bottom: -1%;
		right: 20%;
		max-width: 350px;
	}
}

#the-poppy-bear {
	position: relative;

	color: black;

	padding: 30rem 7rem 100rem 7rem;
	overflow-x: hidden;

	img[alt="circletext"] {
		position: absolute;
		top: 0;
		right: 0;
		width: 50%;
		translate: 50% -50%;
		animation: rotating-text 10s infinite linear;

		@keyframes rotating-text {
			to {
				transform: rotateZ(-360deg);
			}
		}
	}

	div {
		display: flex;
		gap: 0 10%;
		position: relative;
		z-index: 2;

		article {
			h2 {
				@include font-init(Lora, 8.8rem, 600);
				line-height: 70px;
			}

			h3 {
				padding-block: 2rem;
				@include font-init(Work-Sans, 1.6rem, 600)
			}
		}

		figure {
			p {
				@include font-init(Lora, 3.2rem, 600)
			}

			figcaption {
				padding-block: 2rem;
				@include font-init(Work-Sans, 1.6rem, 600)
			}
		}
	}

	img[alt="pb3"] {
		position: absolute;
		z-index: 2;
		width: 40%;
		bottom: 5%;
		left: 2%
	}

	img[alt="rosebear"] {
		width: 60%;
		position: absolute;
		bottom: 2%;
		right: 2%;
	}
}

footer {
	background-color: black;
	color: white;
	padding: 5rem;
	position: relative;
	min-height: 100vh;
	overflow: hidden;

	article {

		display: inline-block;
		width: 40%;
		h3 {
			@include font-init(Work-Sans, 1.6rem, 600);
			padding-block: 2rem;
		}

		p {
			@include font-init(Lora, 3.2rem, 600)
		}
	}

	h2 {
		@include font-init(Lora, 8.8rem, 600);
		text-align: center;
		white-space: nowrap;
		font-size: 7vw;
		position: absolute;
		top: 0;
		right: 0;
		display: block;

		transform-origin: right;
		rotate: 45deg;
		translate: 25% 1000%;

		background-color: white;
		text-shadow: 1px 0 #000, -1px 0 #000, 0 1px #000, 0 -1px #000, 1px 1px #000, -1px -1px #000, 1px -1px #000, -1px 1px #000;

		span {
			color: black;
		}

		animation: scrolling-text 10s linear infinite;

		@keyframes scrolling-text {
			from {
				transform: translateX(25%);
			}
			to {
				transform: translateX(-25.333%);
			}
		}
	}
}


@media only screen and (max-width: 800px){
	html {
		font-size: 7px;
	}

	#info {
		article {
			h2 {
				font-size: 4rem;
				line-height: 4.2rem;
			}
		}
	}
	#stuck-in-the-middle {
		> p {
			padding-block: 30rem 10rem;
		}
	}

	#the-golden-bear {
		div {
			flex-direction: column;
			text-align: center;
			padding: 5rem 0;
			h2 {
				padding-block: 2rem;
			}

		}

		img[alt="goldenbear"] {
			left: 5%;
		}

		img[alt="goldenbear2"] {
			right: 5%;
		}
	}

	#the-poppy-bear {
		padding: 20rem 7rem 70rem 7rem;
	}

	footer {
		article {

			display: inline-block;
			width: 70%;
		}
	}
}